nn.pp.rccore

## Enum ITerminalBlockInputSettings.States

- java.lang.Object
- - java.lang.Enum<ITerminalBlockInputSettings.States>
  - - nn.pp.rccore.ITerminalBlockInputSettings.States

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ITerminalBlockInputSettings.States>
  Enclosing interface:
    ITerminalBlockInputSettings

      public static enum ITerminalBlockInputSettings.States
      extends java.lang.Enum<ITerminalBlockInputSettings.States>

  The state of the Terminal Block

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLOSED` The Terminal Block is in closed state
    `OPEN` The Terminal Block is in open state

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ITerminalBlockInputSettings.States` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ITerminalBlockInputSettings.States[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OPEN

          public static final ITerminalBlockInputSettings.States OPEN

      The Terminal Block is in open state

    - #### CLOSED

          public static final ITerminalBlockInputSettings.States CLOSED

      The Terminal Block is in closed state

  - ### Method Detail

    - #### values

          public static ITerminalBlockInputSettings.States[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ITerminalBlockInputSettings.States c : ITerminalBlockInputSettings.States.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ITerminalBlockInputSettings.States valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2025 Raritan Inc. All Rights Reserved.